PDA

Bekijk de volledige versie : busybox 1.00-pre7 (Oleg version) with 1.8.1.7 tree



Exirion
07-10-2004, 10:34
Because I need iptunnel functionality I put the busybox 1.00 from Oleg's patch in the 1.8.1.7 source tree. It compiles and puts an executable at the right place, but the firmware doesn't load/run :) Any idea what might cause this? Is it a matter of settings?

Earlier I compiled a wl500g-1.7.5.9-5 firmware and put the busybox executable from there onto a 1.8.1.9, and at least the 'ip tunnel' part works fine. But I want a firmware with fullty integrated 'ip' support, so it would be nice if it's in the source tree :) Please help :o

Exirion
07-10-2004, 11:21
Hmmm, it could have something to do with the libraries that the 1.00 version includes. I guess I have to either put them into the target tree or compile busybox staticly...Will try :)

Oleg
07-10-2004, 13:31
Wait a bit, 1.8.1.7-1 is coming...

Jeroen Vonk
07-10-2004, 13:36
Wait a bit, 1.8.1.7-1 is coming...
Could you define "a bit" :)

Oleg
07-10-2004, 13:43
Could you define "a bit" :)
"a little" in other words :) Probably this weekend.

Jeroen Vonk
07-10-2004, 15:43
"a little" in other words :) Probably this weekend.
Ok great! Can't wait to try it....

Exirion
08-10-2004, 11:46
In the mean time I've solved my problem ;)